import { parseCreationTimestamp } from '../base/support/timestamp.js';
const command = {
    options: {
        baseName: {
            description: 'Application base name',
            type: String,
            scope: 'storage',
        },
        skipJhipsterDependencies: {
            description: "Don't write jhipster dependencies to package.json.",
            type: Boolean,
            scope: 'storage',
        },
        creationTimestamp: {
            description: 'Project creation timestamp (used for reproducible builds)',
            type: parseCreationTimestamp,
            scope: 'storage',
        },
    },
    configs: {
        jdlStore: {
            description: 'JDL store',
            cli: {
                type: String,
            },
            scope: 'storage',
        },
    },
};
export default command;
