import sortKeys from 'sort-keys';
import { transformContents } from '@yeoman/transform';
const sortJsonFileContent = (contents) => {
    return Buffer.from(`${JSON.stringify(sortKeys(JSON.parse(contents.toString('utf8')), { deep: true }), null, 2)}\n`);
};
export default function createSortConfigFilesTransform(pattern = '**/{.yo-rc.json,.jhipster/*.json}') {
    return transformContents(contents => sortJsonFileContent(contents), {
        filter: file => Boolean(file.contents),
        pattern,
    });
}
