/**
 * Removes server files that where generated in previous JHipster versions and therefore
 * need to be removed.
 */
export default function cleanupTask({ application }) {
    if (this.isJhipsterVersionLessThan('8.0.1')) {
        if (application.authenticationTypeOauth2) {
            this.removeFile(`${application.javaPackageSrcDir}security/oauth2/AuthorizationHeaderUtil.java`);
            this.removeFile(`${application.javaPackageTestDir}security/oauth2/AuthorizationHeaderUtilTest.java`);
        }
    }
}
