/**
 * Removes server files that where generated in previous JHipster versions and therefore
 * need to be removed.
 */
export default function cleanupOldServerFilesTask({ application }) {
    if (this.isJhipsterVersionLessThan('4.0.0')) {
        if (application.devDatabaseTypeH2Any) {
            this.removeFile(`${application.javaPackageSrcDir}domain/util/FixedH2Dialect.java`);
        }
        if (application.prodDatabaseTypePostgresql) {
            this.removeFile(`${application.javaPackageSrcDir}domain/util/FixedPostgreSQL82Dialect`);
        }
    }
    if (this.isJhipsterVersionLessThan('7.8.2')) {
        this.removeFile(`${application.srcTestResources}config/application-testcontainers.yml`);
        if (application.reactive) {
            this.removeFile(`${application.javaPackageTestDir}ReactiveSqlTestContainerExtension.java`);
        }
    }
    if (application.prodDatabaseTypeMysql && this.isJhipsterVersionLessThan('7.9.0')) {
        this.removeFile(`${application.srcTestResources}testcontainers/mysql/my.cnf`);
    }
}
