/**
 * Copyright 2013-2024 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import type { Entity } from '../../base-application/index.js';
import type { BaseApplication, CommonClientServerApplication } from '../../base-application/types.js';
export declare function addRoute({ needle, route, pageTitle, title, modulePath, moduleName, component, }: {
    needle: string;
    route: string;
    modulePath: string;
    pageTitle?: string;
    title?: string;
    moduleName?: string;
    component?: boolean;
}): import("../../base/api.js").EditFileCallback<import("../../index.js").GeneratorBaseCore>;
export declare function addEntitiesRoute({ application, entities }: {
    application: CommonClientServerApplication;
    entities: Entity[];
}): import("../../base/api.js").EditFileCallback<import("../../index.js").GeneratorBaseCore>;
type MenuItem = {
    jhiPrefix: string;
    enableTranslation?: boolean;
    route: string;
    translationKey?: string;
    icon?: string;
    name?: string;
};
export declare function addItemToMenu({ needle, enableTranslation, jhiPrefix, icon, route, translationKey, name, }: MenuItem & {
    needle: string;
}): import("../../base/api.js").EditFileCallback<import("../../index.js").GeneratorBaseCore>;
export declare const addItemToAdminMenu: (menu: MenuItem) => import("../../base/api.js").EditFileCallback<import("../../index.js").GeneratorBaseCore>;
export declare const addIconImport: ({ icon }: {
    icon: string;
}) => import("../../base/api.js").EditFileCallback<import("../../index.js").GeneratorBaseCore>;
export declare function addToEntitiesMenu({ application, entities }: {
    application: BaseApplication;
    entities: Entity[];
}): import("../../base/api.js").EditFileCallback<import("../../index.js").GeneratorBaseCore>;
export {};
