/**
 * Get a random hex string
 * @param {number} len the length to use, defaults to 50
 */
export declare function createSecret(len?: number): string;
/**
 * Generates a base64 secret from given string or random hex
 * @param secret the value used to get base64 secret
 */
export declare function convertSecretToBase64(secret: string): string;
/**
 * Generates a base64 secret from given string or random hex
 * @param len the length to use for random hex, defaults to 50
 * @param reproducible generate a reproducible content
 */
export declare function createBase64Secret(len?: number, reproducible?: boolean): any;
export declare function createBase64Secret(reproducible?: boolean): any;
