export const BLUEPRINT_API_VERSION: "jhipster-8";
export const JHIPSTER_DEPENDENCIES_VERSION: "8.6.0";
export const JAVA_VERSION: "17";
export const JAVA_COMPATIBLE_VERSIONS: string[];
export const ADD_SPRING_MILESTONE_REPOSITORY: false;
export const NODE_VERSION: string;
export const OPENAPI_GENERATOR_CLI_VERSION: "2.13.1";
export const ELASTICSEARCH_TAG: "8.10.4";
export const ELASTICSEARCH_IMAGE: "docker.elastic.co/elasticsearch/elasticsearch";
/**
 * @type {Record<string, string>}
 * Manually updated docker containers
 */
export const dockerContainers: Record<string, string>;
export const KUBERNETES_CORE_API_VERSION: "v1";
export const KUBERNETES_BATCH_API_VERSION: "batch/v1";
export const KUBERNETES_DEPLOYMENT_API_VERSION: "apps/v1";
export const KUBERNETES_STATEFULSET_API_VERSION: "apps/v1";
export const KUBERNETES_INGRESS_API_VERSION: "networking.k8s.io/v1";
export const KUBERNETES_ISTIO_NETWORKING_API_VERSION: "networking.istio.io/v1beta1";
export const KUBERNETES_RBAC_API_VERSION: "rbac.authorization.k8s.io/v1";
export const HELM_KAFKA: "^0.20.1";
export const HELM_ELASTICSEARCH: "^1.32.0";
export const HELM_PROMETHEUS: "^9.2.0";
export const HELM_GRAFANA: "^4.0.0";
export const HELM_MYSQL: "^1.4.0";
export const HELM_MARIADB: "^6.12.2";
export const HELM_POSTGRESQL: "^6.5.3";
export const HELM_MONGODB_REPLICASET: "^3.10.1";
export const HELM_COUCHBASE_OPERATOR: "^2.2.1";
export const LOGIN_REGEX: "^(?>[a-zA-Z0-9!$&*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+(?:\\\\.[a-zA-Z0-9-]+)*)|(?>[_.@A-Za-z0-9-]+)$";
export const LOGIN_REGEX_JS: "^[a-zA-Z0-9!$&*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+(?:\\\\.[a-zA-Z0-9-]+)*$|^[_.@A-Za-z0-9-]+$";
export const JHIPSTER_DOCUMENTATION_URL: "https://www.jhipster.tech";
export const JHIPSTER_DOCUMENTATION_ARCHIVE_PATH: "/documentation-archive/";
export const MAIN_DIR: "src/main/";
export const TEST_DIR: "src/test/";
export const GRADLE_BUILD_SRC_DIR: "buildSrc/";
export const GRADLE_BUILD_SRC_MAIN_DIR: "buildSrc//src/main/groovy/";
export const CLIENT_DIST_DIR: "static/";
export const GENERATOR_JHIPSTER: "generator-jhipster";
export const YO_RC_FILE: ".yo-rc.json";
export const JHIPSTER_CONFIG_DIR: ".jhipster";
export const TEMPLATES_DOCKER_DIR: "docker/";
export const JAVA_DOCKER_DIR: "src/main/docker/";
export const LINE_LENGTH: 180;
export const CLIENT_MAIN_SRC_DIR: "src/main/webapp/";
export const CLIENT_TEST_SRC_DIR: "src/test/javascript/";
export const CLIENT_WEBPACK_DIR: "webpack/";
export const SERVER_MAIN_SRC_DIR: "src/main/java/";
export const SERVER_MAIN_RES_DIR: "src/main/resources/";
export const SERVER_TEST_SRC_DIR: "src/test/java/";
export const SERVER_TEST_RES_DIR: "src/test/resources/";
export const JS_PRETTIER_EXTENSIONS: "cjs,mjs,js,cts,mts,ts";
export const PRETTIER_EXTENSIONS: "md,json,yml,html,cjs,mjs,js,cts,mts,ts,tsx,css,scss,vue,java";
