/**
 * @private
 * Convert to Java bean name case
 *
 * Handle the specific case when the second letter is capitalized
 * See http://stackoverflow.com/questions/2948083/naming-convention-for-getters-setters-in-java
 *
 * @param beanName
 * @return
 */
export declare const javaBeanCase: (beanName: string) => string;
/**
 * @private
 * Create a java getter of reference.
 *
 * @param {object|string[]} reference
 * @return {string}
 */
export declare const buildJavaGet: (reference: any) => any;
/**
 * @private
 * Create a java getter method of reference.
 *
 * @param {object} reference
 * @param {string} type
 * @return {string}
 */
export declare const buildJavaGetter: (reference: any, type?: any) => string;
/**
 * @private
 * Create a java getter method of reference.
 *
 * @param {object} reference
 * @param {string} valueDefinition
 * @return {string}
 */
export declare const buildJavaSetter: (reference: any, valueDefinition?: string) => string;
