/**
 * Extract properties from pom content
 * @param pomContent
 */
export declare function getPomProperties(pomContent: string): Record<string, string>;
export type MavenPom = {
    project: {
        artifactId: string;
        version: string;
        properties?: Record<string, string>;
    };
};
export type MavenPomAndVersions = {
    pomContent: MavenPom;
    versions: Record<string, string>;
};
/**
 * Extract version properties from pom content
 * @param fileContent
 */
export declare function parseMavenPom(fileContent: string): MavenPom;
/**
 * Extract version properties from pom content
 * @param pomContent
 */
export declare function getPomVersionProperties(pomContent: string | MavenPom): Record<string, string>;
