/**
 * Copyright 2013-2024 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import JDLObject from '../models/jdl-object.js';
import { JSONEntity, JHipsterYoRcContent } from './types.js';
declare const _default: {
    convertToJDL: typeof convertToJDL;
    convertSingleContentToJDL: typeof convertSingleContentToJDL;
};
export default _default;
/**
 * Exports to JDL every JHipster file found in the passed directory (down to one subfolder level).
 * @param directory the directory to find JHipster files.
 * @param output the file where the JDL will be written
 */
export declare function convertToJDL(directory?: string, output?: string | false): JDLObject | undefined;
export declare function convertSingleContentToJDL(yoRcFileContent: JHipsterYoRcContent, entities?: Map<string, JSONEntity>): string;
export declare function getJDLObjectFromSingleApplication(yoRcFileContent: JHipsterYoRcContent, entities?: Map<string, JSONEntity>, existingJDLObject?: JDLObject): JDLObject;
