/**
 * Copyright 2013-2024 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import JDLRelationship from '../../models/jdl-relationship.js';
import { ParsedJDLAnnotation, ParsedJDLRelationship } from './types.js';
declare const _default: {
    convertRelationships: typeof convertRelationships;
};
export default _default;
/**
 * Converts parsed relationships to JDLRelationship objects.
 * @param {Array<Object>} parsedRelationships - the parsed relationships.
 * @param {Function} annotationToOptionConverter - the function that can convert annotations to options.
 * @return the converted JDL relationships.
 */
export declare function convertRelationships(parsedRelationships: ParsedJDLRelationship[], annotationToOptionConverter: (annotations: ParsedJDLAnnotation[]) => Record<string, boolean | string | number | string[] | boolean[] | number[]>): JDLRelationship[];
