/**
 * Copyright 2013-2024 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { JDLApplicationOptionType, JDLApplicationOptionValue } from '../models/jdl-application-definition.js';
export declare const jhipsterOptionValues: Record<string, JDLApplicationOptionValue>;
export declare const jhipsterOptionTypes: Record<string, JDLApplicationOptionType>;
export declare const jhipsterQuotedOptionNames: string[];
declare const _default: {
    OptionNames: {
        APPLICATION_TYPE: string;
        AUTHENTICATION_TYPE: string;
        BASE_NAME: string;
        BLUEPRINT: string;
        BLUEPRINTS: string;
        BUILD_TOOL: string;
        CACHE_PROVIDER: string;
        CLIENT_FRAMEWORK: string;
        CLIENT_PACKAGE_MANAGER: string;
        CLIENT_THEME: string;
        CLIENT_THEME_VARIANT: string;
        WITH_ADMIN_UI: string;
        CREATION_TIMESTAMP: string;
        DATABASE_TYPE: string;
        DEV_DATABASE_TYPE: string;
        DTO_SUFFIX: string;
        EMBEDDABLE_LAUNCH_SCRIPT: string;
        ENABLE_HIBERNATE_CACHE: string;
        ENABLE_SWAGGER_CODEGEN: string;
        ENABLE_TRANSLATION: string;
        ENTITY_SUFFIX: string;
        EXPERIMENTAL: string;
        GATEWAY_SERVER_PORT: string;
        I_18_N: string;
        INSTALL_MODULES: string;
        JHI_PREFIX: string;
        JHIPSTER_VERSION: string;
        JWT_SECRET_KEY: string;
        LANGUAGES: string;
        MICROFRONTEND: string;
        MICROFRONTENDS: string;
        NATIVE_LANGUAGE: string;
        NPM: string;
        PACKAGE_NAME: string;
        PACKAGE_FOLDER: string;
        PROD_DATABASE_TYPE: string;
        REACTIVE: string;
        REMEMBER_ME_KEY: string;
        SEARCH_ENGINE: string;
        SERVER_PORT: string;
        SERVICE_DISCOVERY_TYPE: string;
        SKIP_CLIENT: string;
        SKIP_GIT: string;
        SKIP_INSTALL: string;
        SKIP_SERVER: string;
        SKIP_USER_MANAGEMENT: string;
        TEST_FRAMEWORKS: string;
        WEBSOCKET: string;
        ENABLE_GRADLE_ENTERPRISE: string;
        GRADLE_ENTERPRISE_HOST: string;
    };
    OptionValues: Record<string, JDLApplicationOptionValue>;
    QuotedOptionNames: string[];
};
export default _default;
