/**
 * Copyright 2013-2024 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare const keywordsForType: (type: string) => any;
export declare function isReserved(keyword?: any, type?: string): boolean;
export declare function isReservedClassName(keyword: any): boolean;
export declare function isReservedTableName(keyword: any, databaseType: any): boolean;
export declare function isReservedPaginationWords(keyword: any): boolean;
export declare function isReservedFieldName(keyword: any, clientFramework?: any): boolean;
declare const _default: {
    isReserved: typeof isReserved;
    isReservedClassName: typeof isReservedClassName;
    isReservedTableName: typeof isReservedTableName;
    isReservedFieldName: typeof isReservedFieldName;
    isReservedPaginationWords: typeof isReservedPaginationWords;
    JHIPSTER: string[];
    ANGULAR: string[];
    REACT: never[];
    JAVA: string[];
    TYPESCRIPT: string[];
    MYSQL: string[];
    POSTGRESQL: string[];
    CASSANDRA: string[];
    COUCHBASE: string[];
    ORACLE: string[];
    MONGODB: string[];
    MSSQL: string[];
    NEO4J: string[];
};
export default _default;
