/**
 * Copyright 2013-2024 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import EntityIssue from './issues/entity-issue.js';
export type EntityDeclaration = {
    children: {
        entityTableNameDeclaration: any;
        NAME: [any, ...any];
        entityBody: [any, ...any];
    };
};
/**
 * Check entities for lint issues.
 * That is done by passing the list of entity declarations from the CST (from the JDLReader output).
 * @param entityDeclarations - the list of entity declarations
 * @return the found entity issues.
 */
export declare function checkEntities(entityDeclarations: EntityDeclaration[]): EntityIssue[];
