/**
 * Copyright 2013-2024 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import EntityIssue from './entity-issue.js';
import FieldIssue from './field-issue.js';
import EnumIssue from './enum-issue.js';
import RelationshipIssue from './relationship-issue.js';
export default class Issues {
    entityIssues: EntityIssue[];
    fieldIssues: FieldIssue[];
    enumIssues: EnumIssue[];
    relationshipIssues: RelationshipIssue[];
    constructor();
    addEntityIssues(issues?: EntityIssue[]): void;
    addFieldIssues(issues?: FieldIssue[]): void;
    addEnumIssues(issues?: EnumIssue[]): void;
    addRelationshipIssues(issues?: RelationshipIssue[]): void;
    getNumberOfIssues(): number;
    getNumberOfEntityIssues(): number;
    getNumberOfFieldIssues(): number;
    getNumberOfEnumIssues(): number;
    getNumberOfRelationshipIssues(): number;
    getIssues(): {
        entities: EntityIssue[];
        enums: EnumIssue[];
        fields: FieldIssue[];
        relationships: RelationshipIssue[];
    };
}
