/**
 * Copyright 2013-2024 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import Rule from './rule.js';
export declare const rulesNames: {
    ENT_SHORTER_DECL: string;
    ENT_OPTIONAL_TABLE_NAME: string;
    ENT_DUPLICATED: string;
    FLD_OPTIONAL_COMMAS: string;
    REL_INDIVIDUAL_DECL: string;
    FLD_DUPLICATED: string;
    ENUM_DUPLICATED: string;
    ENUM_UNUSED: string;
};
type RuleNames = keyof typeof rulesNames;
export declare const rules: {
    [key in RuleNames]: Rule;
};
/**
 * Gets and returns the rule having the passed name.
 * @param ruleName - the name of the rule to fetch
 * @returns the rule.
 * @throws if no ruleName is passed.
 */
export declare function getRule(ruleName: RuleNames): Rule;
export {};
