/**
 * Copyright 2013-2024 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import JDLField from './jdl-field.js';
export default class JDLEntity {
    name: string;
    tableName: string | undefined;
    fields: Record<string, JDLField>;
    comment: string | undefined;
    annotations: Record<string, boolean | string | number | undefined>;
    constructor(args: Partial<JDLEntity>);
    /**
     * Adds the fields to the entity.
     * @param fields - the fields to add
     */
    addFields(fields?: JDLField[]): void;
    addField(field: JDLField): void;
    forEachField(functionToApply: (field: JDLField, index: number, array: JDLField[]) => void): void;
    toString(): string;
}
