import { Minimatch } from 'minimatch';
import { type FileTransform } from 'mem-fs';
import { type MemFsEditorFile } from 'mem-fs-editor';
import { type ConflicterStatus } from './conflicter.js';
export declare class YoResolve {
    groupedYoResolve: Map<string, Map<Minimatch, string>>;
    readonly yoResolveFileName: string;
    constructor(options?: {
        yoResolveFileName?: string;
    });
    getStatusForFile(filePath: string): Promise<ConflicterStatus | undefined>;
    createTransform(): FileTransform<MemFsEditorFile>;
    private getMapForFolder;
}
export declare const createYoResolveTransform: (options?: {
    yoResolveFileName?: string | undefined;
} | undefined) => FileTransform<MemFsEditorFile>;
