export type PackageManager = 'npm' | 'pnpm' | 'yarn';
export type PackageStructure = {
    lockFile?: string;
    compatiblePackageManager?: readonly PackageManager[];
    workspaceRoot?: string;
};
export declare const hasLockFile: (pm: PackageManager, cwd: string) => Promise<boolean>;
export declare const detectPackageStructure: ({ cwd }: {
    cwd?: string | undefined;
}) => Promise<PackageStructure>;
export declare const whichPackageManager: ({ cwd, preferred, checkExecutable, }?: {
    cwd?: string | undefined;
    preferred?: PackageManager[] | undefined;
    checkExecutable?: boolean | undefined;
}) => Promise<string | undefined>;
